Bug 1295643 - [abrt] abiword: AP_UnixApp::catchSignals(): abiword killed by SIGABRT
[abrt] abiword: AP_UnixApp::catchSignals(): abiword killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:691a245aeb811a1fb9f35475862...
:
Depends On: 1387629
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 00:30 EST by Mikhail Yarashevich
Modified: 2016-12-20 12:21 EST (History)
5 users (show)

See Also:
Fixed In Version: abiword-3.0.2-3.fc24 abiword-3.0.2-3.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 01:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.59 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: core_backtrace (4.78 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: dso_list (17.59 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: environ (1.07 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: maps (88.58 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: mountinfo (3.22 KB, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: open_fds (928 bytes, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details
File: var_log_messages (456 bytes, text/plain)
2016-01-05 00:30 EST, Mikhail Yarashevich
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Abisource 13766 None None None 2016-05-28 15:08 EDT

  None (edit)
Description Mikhail Yarashevich 2016-01-05 00:30:26 EST
Description of problem:
Just started Abiword from GNOME3 after reinstalling pango, freetype and fontconfig.

Version-Release number of selected component:
abiword-3.0.1-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        abiword
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
global_pid:     5006
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 AP_UnixApp::catchSignals at ap_UnixApp.cpp:1569
 #3 signalWrapper at ap_UnixApp.cpp:1512
 #5 XkbUseExtension at XKBUse.c:652
 #6 _XkbLoadDpy at XKBBind.c:513
 #7 XKeysymToKeycode at XKBBind.c:157
 #8 s_getAltMask at ev_UnixKeyboard.cpp:500
 #9 ev_UnixKeyboard::ev_UnixKeyboard at ev_UnixKeyboard.cpp:67
 #10 XAP_UnixFrameImpl::_initialize at xap_UnixFrameImpl.cpp:1320
 #11 XAP_Frame::initialize at xap_Frame.cpp:375
 #12 AP_UnixFrame::initialize at ap_UnixFrame.cpp:243

Potential duplicate: bug 1187544
Comment 1 Mikhail Yarashevich 2016-01-05 00:30:32 EST
Created attachment 1111698 [details]
File: backtrace
Comment 2 Mikhail Yarashevich 2016-01-05 00:30:33 EST
Created attachment 1111699 [details]
File: cgroup
Comment 3 Mikhail Yarashevich 2016-01-05 00:30:35 EST
Created attachment 1111700 [details]
File: core_backtrace
Comment 4 Mikhail Yarashevich 2016-01-05 00:30:37 EST
Created attachment 1111701 [details]
File: dso_list
Comment 5 Mikhail Yarashevich 2016-01-05 00:30:38 EST
Created attachment 1111702 [details]
File: environ
Comment 6 Mikhail Yarashevich 2016-01-05 00:30:40 EST
Created attachment 1111703 [details]
File: limits
Comment 7 Mikhail Yarashevich 2016-01-05 00:30:42 EST
Created attachment 1111704 [details]
File: maps
Comment 8 Mikhail Yarashevich 2016-01-05 00:30:43 EST
Created attachment 1111705 [details]
File: mountinfo
Comment 9 Mikhail Yarashevich 2016-01-05 00:30:45 EST
Created attachment 1111706 [details]
File: namespaces
Comment 10 Mikhail Yarashevich 2016-01-05 00:30:46 EST
Created attachment 1111707 [details]
File: open_fds
Comment 11 Mikhail Yarashevich 2016-01-05 00:30:48 EST
Created attachment 1111708 [details]
File: proc_pid_status
Comment 12 Mikhail Yarashevich 2016-01-05 00:30:49 EST
Created attachment 1111709 [details]
File: var_log_messages
Comment 13 Hubert Figuiere 2016-09-20 23:31:24 EDT
Dupe of bug 1288847

tl;dr AbiWord is not compatible with Wayland. We don't have a fix upstream yet, albeit I do have a patch for this specific crash, see upstream bug.
Comment 14 Fedora End Of Life 2016-11-24 09:42:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Hubert Figuiere 2016-11-24 20:15:06 EST
see comment 13 if you really want to close this. I don't have permissions to do so.

There is a new version upstream that fixes it and that hasn't landed in F25.
Comment 16 Joachim Frieben 2016-11-25 01:25:36 EST
(In reply to Hubert Figuiere from comment #15)
The same issue has been filed for Fedora 24, too, see bug 1288847, so there is no reason to worry ;o)
Comment 17 Fedora Update System 2016-11-29 21:37:18 EST
abiword-3.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2e43d0928
Comment 18 Fedora Update System 2016-11-29 21:38:17 EST
abiword-3.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea95a6a39f
Comment 19 Fedora Update System 2016-11-30 03:18:23 EST
abiword-3.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75
Comment 20 Fedora Update System 2016-11-30 03:19:08 EST
abiword-3.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164
Comment 21 Fedora Update System 2016-12-02 23:32:59 EST
abiword-3.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164
Comment 22 Fedora Update System 2016-12-03 00:39:59 EST
abiword-3.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75
Comment 23 Fedora Update System 2016-12-07 23:28:38 EST
abiword-3.0.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab
Comment 24 Fedora Update System 2016-12-07 23:29:44 EST
abiword-3.0.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57
Comment 25 Fedora Update System 2016-12-08 14:24:18 EST
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab
Comment 26 Fedora Update System 2016-12-08 14:26:13 EST
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57
Comment 27 Fedora Update System 2016-12-20 01:23:24 EST
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-12-20 12:21:09 EST
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.